lpoptions(1)

NOM
lpoptions - Affiche et définit les options et paramètres par défaut d'une imprimante

SYNOPSIS
lpoptions [ -h serveur ] -d destination[/instance] [ -o option=valeur ] ... [ -o option=valeur ]
lpoptions [ -h serveur ] [ -E ] [ -p destination[/instance] ] -l
lpoptions [ -h serveur ] [ -E ] [ -o option=valeur ] ... [ -o option=valeur ] [ -p dest[/instance] ] -r option
lpoptions [ -h serveur ] [ -E] -x destination[/instance]

DESCRIPTION
Lorsqu'il est lancé sans arguments, lpoptions affiche les options par défaut. Les paramètres pouvant être fournis sont :

-E
    Crypte les données lors de la communication avec le serveur CUPS.

-d destination[/instance]
    Définit destination comme imprimante par défaut. Il est également possible de fournir une instance. Cette option redéfinit l'imprimante par défaut de l'utilisateur en cours.

-h serveur
    Définit le serveur CUPS avec lequel communiquer.

-l
    Affiche les options spécifiques d'une imprimante et ses paramétrages.

-o option=valeur
    Définit une nouvelle option pour une destination.

-p destination[/instance]
    Définit les options d'une destination ou instance. Si l'instance n'existe pas, celle-ci est créée.

-r option
    Supprime une option de la destination fournie en paramètre.

-x destination[/instance]
    Supprime toutes les options de la destination ou instance fournie en paramètre. Si l'instance n'existe pas, la commande n'a pas d'effet.

Si aucune option n'est fournie dans la ligne de commande, les options de l'imprimante fournie en paramètre sont affichées sur la sortie standard.

Les options définies par la commande lpoptions sont utilisées par les commandes lp(1) et lpr(1) lors de l'envoi de travaux d'impression.

UTILISATION DU COMPTE ROOT
Lorsque la commande lpoptions est lancée par l'utilisateur root, les options sont lues et sauvegardées pour tous les utilisateurs dans le fichier /etc/cups/lpoptions.

COMPATIBILITÉ
La commande lpoptions est spécifique à CUPS.

FICHIERS
~/.lpoptions - fichier créé par utilisateur et contenant ses options. /etc/cups/lpoptions - fichier global de configuration créé par l'utilisateur root.

VOIR AUSSI
cancel(1), lp(1), CUPS Software Users Manual, http://localhost:631/documentation.html

COPYRIGHT
Copyright 1993-2003 Easy Software Products, Tous droits réservés.

TRADUCTION
Gilles QUERRET <gilles.querret@nerim.net>